Bug 487892 - Add support for power7 processor
Add support for power7 processor
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
powerpc Linux
low Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-28 17:23 EST by Michael Meissner
Modified: 2009-03-11 08:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-11 08:13:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add Power7 timing information and new instruction support (264.09 KB, patch)
2009-03-03 18:17 EST, Michael Meissner
no flags Details | Diff

  None (edit)
Description Michael Meissner 2009-02-28 17:23:10 EST
Description of problem:
Add power7 support to the powerpc GCC compiler.  The power7 processor is a new powerpc that supports version 2.06 of the ISA.


Version-Release number of selected component (if applicable):


How reproducible:
New code for new processor.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Michael Meissner 2009-03-03 18:17:22 EST
Created attachment 333950 [details]
Patch to add Power7 timing information and new instruction support

This patch adds the power7 timing information and new instruction support.  It has also been posted on the gcc-patches mailing list for GCC 4.5.
Comment 2 Michael Meissner 2009-03-03 18:30:25 EST
The patch to the FSF gcc-patches mailing list is:
http://gcc.gnu.org/ml/gcc-patches/2009-03/msg00183.html
Comment 3 Jakub Jelinek 2009-03-11 08:13:59 EDT
Slightly newer version of the branch diff (except for the gcc.c change) is in gcc-4.4.0-0.24.

Note You need to log in before you can comment on or make changes to this bug.